@charset "UTF-8";

/*------------------------------------------------------------------*/
/* イベントの自動終了対応用
/*------------------------------------------------------------------*/


/* 10周年単位イベントの詳細部分のボタン無効化用 */
/* ▼　▼　▼ */

.panel_frame dd.bookingBtn_area.event_closed {
	position: relative;    /* 重ねる要素の基準点にする */
	display: inline-block; /* 中身のサイズに合わせる */
	pointer-events: none;  /* リンク（クリック）を完全に無効化 */
	user-select: none;     /* テキスト選択も不可にする */
}

/* 上に載せる黒い膜と受付終了の文字 */
.panel_frame dd.bookingBtn_area.event_closed::after {
	content: "受付は終了しました";    /* 表示するテキスト */
	position: absolute;
	top: -5px;
	left: 0;
	width: 100%;
	height: 100%;
	padding: 5px 0;

	/* 背景：黒（不透明度50%） */
	background-color: rgba(0, 0, 0, 0.7);

	/* 文字装飾：赤色・太字・中央揃え */
	color: #D00;
	font-weight: bold;
	font-size: 1.2rem;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 4px;
	z-index: 10;
	text-shadow: 1px 1px 1px #FFF, -1px -1px 1px #FFF, 1px -1px 1px #FFF, -1px 1px 1px #FFF;
}


#list ul li.event_closed {
	display: none;
}